GWT 2.7.0

## com.google.web.bindery.autobean.vm
Class Configuration

    java.lang.Object
      com.google.web.bindery.autobean.vm.Configuration

    public class Configuration

extends java.lang.Object

Used by `AutoBeanFactorySource.createBean(Class, Configuration)`. This type replicates the annotations that may be applied to an AutoBeanFactory declaration.

This is experimental, unsupported code.

Nested Class Summary
`static class` | `Configuration.Builder` Builds `Configuration` objects.

Method Summary
`java.util.List<java.lang.Class<?>>` | `getCategories()`
`java.util.Set<java.lang.Class<?>>` | `getNoWrap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCategories

    public java.util.List<java.lang.Class<?>> getCategories()

### getNoWrap

    public java.util.Set<java.lang.Class<?>> getNoWrap()

GWT 2.7.0